apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
metadata:
  name: vma
  namespace: yoss-ns
spec:
  runStrategy: Manual
  template:
    spec:
      domain:
        devices:
          disks:
            - name: containerdisk
              disk:
                bus: virtio
            - name: cloudinitdisk
              disk:
                bus: virtio
          interfaces:
            - name: default
              masquerade: {}
            - name: br_1
              bridge: {}
        resources:
          requests:
            memory: 1G
        cpu:
          cores: 2
      networks:
        - name: default
          pod: {}
        - multus:
            networkName: lnx-br-nad
          name: br_1
      volumes:
        - name: containerdisk
          containerDisk:
            image: quay.io/openshift-cnv/qe-cnv-tests-fedora:41
        - name: cloudinitdisk
          cloudInitNoCloud:
            userData: |-
              #cloud-config
              password: password
              chpasswd: { expire: False }
